using DoomDeathmatch.Component.MVC.Controller;

namespace DoomDeathmatch.Component.MVC.Model.Enemy.Attack;

public class FuncAttackBehaviorCreator(Func<EnemyController, HealthController, AttackBehavior> parFunc)
  : IAttackBehaviorCreator
{
  public AttackBehavior Create(EnemyController parEnemyController, HealthController parHealthController)
  {
    return parFunc(parEnemyController, parHealthController);
  }
}